<?php
global $waves_elements, $waves_element_options;
$waves_elements["callout"] = array(
    "name" => "Callout",
    "size" => "col-md-12",
    "min-size" => "col-md-12",
    "content" => "description",
    "help" => "http://support.themewaves.com/knowledgebase/callout-element-tutorial-2/",
    "settings" => array(
        "text" => array(
            "title" => "Callout Big Title",
            "type" => "textArea",
            "default" => 'We always like hearing from our customers',
        ),
        "bg_color" => array(
            "title" => "",
            "type" => "color",
            "default" => "",
            "desc" => "Background color",
        ),
        "font_size" => array(
            "title" => "Choose Font Size",
            "type" => "select",
            "options" => array(),
            "default" => "18",
            "description" => "",
        ),
//        "description" => array(
//            "title" => "Callout description text",
//            "type" => "textArea",
//            "default" => 'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.',
//        ),
        "btn_text" => array(
            "title" => "",
            "type" => "text",
            "default" => "Get Started",
            "desc" => "Call out Button",
        ),
        "btn_color" => array(
            "title" => "",
            "type" => "color",
            "default" => "#16d1ac",
            "desc" => "Button background color",
        ),
        "btn_icon" => array(
            "title" => "",
            "type" => "text",
            "default" => "",
            "desc" => '<a href="' . THEME_DIR . '/framework/font-awesome.html" target="_blank" title="369 Icons list">369 icons</a>. Copy the Icon name and paste here',
        ),
        "btn_url" => array(
            "title" => "",
            "type" => "text",
            "default" => "#",
            "desc" => "Button Link",
        ),
        "btn_target" => array(
            "title" => "",
            "type" => "select",
            "options" => $waves_element_options['target'],
            "default" => "_blank",
            "desc" => "Blank will open new window, self will open current",
        ),
    ),
);
for ($i = 14; $i < 41; $i++){ 
        $waves_elements["callout"]["settings"]["font_size"]["options"][$i] = $i.'px';
}