<?php
global $waves_elements, $waves_element_options;
$waves_elements["testimonial_carousel"] = array(
    "name" => "Testimonial Slide",
    "size" => "col-md-12",
    "content" => "items",
    "help" => "http://support.themewaves.com/knowledgebase/testimonial-slide-element-tutorial/",
    "settings" => array(
        "duration" => array(
            "title" => "Duration",
            "type" => "text",
            "default" => "1000",
            "desc" => "",
        ),
        "timeout" => array(
            "title" => "timeout",
            "type" => "text",
            "default" => "2000",
            "desc" => "",
        ),
        "add_item" => array(
            "title" => "",
            "type" => "button",
            "data" => array("item" => "testimonial_carousel", "settings" => "items"),
            "default" => "Add Testimonials",
        ),
        "items" => array(
            "title" => "Items",
            "type" => "container",
            "container_type" => "toggle",
            "title_as" => "name",
            "add_button" => "add_item",
            "default" => array(
                array(
                    "name" => array(
                        "title" => "Testimonial Name",
                        "type" => "text",
                    ),
                    "position" => array(
                        "title" => "Work position (optional)",
                        "type" => "text",
                    ),
                    "thumb" => array(
                        "title" => "User Image",
                        "type" => "text",
                    ),
                    "add_thumb" => array(
                        "type" => "button",
                        "save_to" => "thumb",
                        "default" => "Upload",
                    ),
                    "url" => array(
                        "title" => "Link URL(optional)",
                        "type" => "text",
                    ),
                    "content" => array(
                        "title" => "Testimonial",
                        "type" => "textArea",
//                        "tinyMCE" => "true",
                    ),
                )
            ),
        ),
    ),
);