<?php

global $waves_elements;
$waves_elements["liteaccordion"] = array(
    "name" => "Lite Accordion",
    "size" => "col-md-12",
    "content" => "items",
    "help" => "",
    "settings" => array(
        "add_item" => array(
            "title" => "",
            "type" => "button",
            "data" => array("item" => "liteaccordion", "settings" => "items"),
            "default" => "Add Accordion Slider Item",
            "desc" => "",
        ),
        "item_theme" => array(
            "title" => "Theme",
            "type" => "select",
            "options" => array('basic' => 'Basic', 'dark' => 'Dark', 'light' => 'Light', 'stitch' => 'Stitch'),
            "default" => "dark",
            "desc" => "Choose the theme",
        ),
        "item_height" => array(
            "title" => "Height",
            "type" => "text",
            "default" => "300",
            "holder" => "",
            "desc" => "Height of your Accordion",
        ),
        "item_type" => array(
            "title" => "Activate On",
            "type" => "select",
            "options" => array('click' => 'Click', 'mouseover' => 'Mouseover'),
            "default" => "mouseover",
            "desc" => "",
        ),
        "items" => array(
            "title" => "Items",
            "type" => "container",
            "container_type" => "toggle",
            "title_as" => "datas",
            "add_button" => "add_item",
            "default" => array(
                array(
                    "datas" => array(
                        "title" => "Slide Title",
                        "type" => "text",
                        "holder" => "",
                        "default" => "Slide One",
                    ),
                    "image" => array(
                        "type" => "text",
                        "default" => "",
                        "desc" => "Upload Image",
                    ),
                    "add_thumb" => array(
                        "title" => "",
                        "type" => "button",
                        "save_to" => "image",
                        "default" => "Upload Image",
                    ),
                )
            ),
            "desc" => "Items",
        ),
    ),
);
