<?php
global $waves_elements, $waves_element_options;

$waves_elements["pricing"] = array(
    "name" => "Pricing Table",
    "size" => "col-md-12",
    "min-size" => "col-md-12",
    "content" => "columns",
    "help" => "http://support.themewaves.com/knowledgebase/pricing-table-element-tutorial-2/",
    "settings" => array(
        "column_count" => array(
            "title" => "Column count",
            "type" => "select",
            "options" => array('pricing-two' => '2','pricing-three' => '3','pricing-four' => '4'),
            "default" => "pricing-four",
            "desc" => "",
        ),
        "symbol" => array(
                        "title" => "Symbol",
                        "type" => "text",
                        "default" => "$",
        ),
        "add_column" => array(
            "title" => "",
            "type" => "button",
            "data" => array("item" => "pricing", "settings" => "columns"),
            "default" => "Add Column",
            "desc" => "",
        ),                    
        "columns" => array(
            "title" => "Columns",
            "type" => "container",
            "container_type" => "toggle",
            "title_as" => "title",
            "add_button" => "add_column",
            "default" => array(
                array(
                    "animation" => array(
                        "title" => "Animation",
                        "type" => "select",
                        "options" => $waves_element_options['animations'],
                        "default" => "none",
                    ),
                    "animation_delay" => array(
                        "title" => "Animation Delay",
                        "type" => "text",
                        "holder" => "Example:300",
                        "desc" => "",
                    ),
                    "title" => array(
                        "title" => "Title",
                        "type" => "text",
                        "default" => "Pricing Title",
                    ),
                    "sub_title" => array(
                        "title" => "Sub Title",
                        "type" => "text",
                        "default" => "Pricing table description",
                    ),
                    "featured" => array(
                        "title" => "Featured ?",
                        "type" => "checkbox",
                        "default" => "false",
                    ),
                    "price" => array(
                        "title" => "Price ?",
                        "type" => "text",
                        "default" => "25",
                        "desc" => "Please insert with $ symbol.",
                    ),
                    "time" => array(
                        "title" => "Price Time ?",
                        "type" => "text",
                        "default" => "month",
                        "desc" => "Price time option. Example: Month, Day, Year etc.",
                    ),
                    "buttontext" => array(
                        "title" => "Button Text",
                        "type" => "text",
                        "default" => "Sign Up",
                        "holder" => "Sign Up",
                    ),
                    "buttonlink" => array(
                        "title" => "Button Link",
                        "type" => "text",
                        "default" => "http://themeforest.net/user/themewaves?ref=themewaves",
                        "holder" => "http://themeforest.net/user/themewaves?ref=themewaves",
                    ),
                    "content" => array(
                        "type" => "textArea",
                        "tinyMCE" => "true",
                    ),
                )
            ),
        ),
    ),
);