<?php
global $waves_elements;
$waves_elements["tab"] = array(
    "name" => "Tab",
    "size" => "col-md-6",
    "content" => "items",
    "help" => "http://support.themewaves.com/knowledgebase/tab-element-tutorial-2/",
    "settings" => array(
        "add_item" => array(
            "title" => "",
            "type" => "button",
            "data" => array("item" => "tab", "settings" => "items"),
            "default" => "Add Tab",
            "desc" => "",
        ),
        "position" => array(
            "title" => "Choose Tab position",
            "type" => "select",
            "options" => array("top" => "Top", "left" => "Left", "right" => "Right"),
            "default" => "top",
            "desc" => "Tab Titles can be displayed top, right, left position.",
        ),
        "items" => array(
            "title" => "Items",
            "type" => "container",
            "container_type" => "toggle",
            "title_as" => "title",
            "add_button" => "add_item",
            "default" => array(
                array(
                    "title" => array(
                        "title" => "",
                        "type" => "text",
                        "default" => "Tab Title",
                    ),
                    "title_icon" => array(
                        "title" => "Icon code here",
                        "type" => "text",
                        "default" => "fa-star",
                        "desc" => '<a href="' . THEME_DIR . '/framework/font-awesome.html" target="_blank" title="369 Icons list">369 icons</a>. Copy the Icon name and paste here',
                    ),
                    "content" => array(
                        "title" => "",
                        "type" => "textArea",
                        "tinyMCE" => "true",
                        "default" => "Tab Content",
                    ),
                )
            ),
            "desc" => "Items",
        ),
    ),
);