<?php
/* ================================================================================== */
/*      Callout Shortcode
/* ================================================================================== */

function waves_callout($atts, $content) {
    //$atts['description'] = !empty($content) ? ('<p>'.do_shortcode($content).'</p>') : '';
    
    $bg = !empty($atts['bg_color']) ? (' style="background:'.$atts['bg_color'].'"') : '';
    
    if(!empty($atts['btn_text'])){
        // With Button
        $url = !empty($atts['btn_url']) ? $atts['btn_url'] : '#';
        $color = !empty($atts['btn_color']) ? (' style="background-color:'.$atts['btn_color'].';border-color:'.$atts['btn_color'].'"') : '';
        $target = isset($atts['btn_target']) ? $atts['btn_target'] : '_blank';
        $icon = !empty($atts['btn_icon']) ? ('<i class="fa '.$atts['btn_icon'].'"></i>') : '';
        $size = !empty($atts['font_size']) ? (' style="font-size: '.$atts['font_size'].'px"') : '';
        $btn = '<a href="' . esc_url($url) . '"' . $color . ' target="' . $target . '" class="btn btn-flat shadow rounded">' . $atts['btn_text'] . $icon.'</a>';
        
        $output = waves_item($atts,'waves-callout with-button');
        $output .= '<div class="callout-container"'.$bg.'>';
        $output .= '<div class="callout-text">';
        $output .= '<p'.$size.'>' . $atts['text'] . '</p>';//.$atts['description'];
        $output .= $btn;
        $output .= '</div>';
        $output .= '</div>';
        $output .= '</div>';
        
    } else {
        // WithOut Button
        $output = waves_item($atts,'waves-callout');
        $output .= '<div class="callout-container"'.$bg.'>';
        $output .= '<div class="callout-text">';
        $output .= '<p>' . $atts['text'] . '</p>';//.$atts['description'];
        $output .= '</div>';
        $output .= '</div>';
        $output .= '</div>';
    }
    

    return $output;
}
    
add_shortcode('tw_callout', 'waves_callout');