<?php
/* ================================================================================== */
/*      Testimonials Shortcode
/* ================================================================================== */

function waves_testimonial_carousel($atts, $content) {
    $atts = shortcode_atts( array(
        'size'  => 'col-md-12',
        'class' => '',
        'title' => '',
        'duration' => '1000',
        'timeout' => '2000',
        'animation' => 'none',
        'animation_delay' => ''
    ), $atts );
    
    $output  = waves_item($atts,'carousel-container');
        $output .= '<div class="waves-carousel-testimonial list_carousel clearfix" data-duration="' . $atts['duration'] . '" data-timeout="' . $atts['timeout'] . '">';
            $output .= '<ul class="waves-carousel">';
                $output .= do_shortcode($content);
            $output .= '</ul>';
            $output .= '<div class="carousel-bullet"></div>';
//            $output .= '<div class="carousel-arrow">';
//                $output .= '<a class="carousel-prev" href="#"><i class="fa fa-angle-left"></i></a>';
//                $output .= '<a class="carousel-next" href="#"><i class="fa fa-angle-right"></i></a>';
//            $output .= '</div>';
        $output .= '</div>';
    $output .= '</div>';

    return $output;
}
add_shortcode('tw_testimonial_carousel', 'waves_testimonial_carousel');


/* ================================================================================== */
/*      Testimonials item
/* ================================================================================== */

function waves_testimonial_carousel_item($atts, $content) {
    $atts = shortcode_atts( array(
        "name"    => "",
        "position"    => "",
        "thumb"   =>"",
        "url"     => "",
    ), $atts );
    
    $output = '<li>';
            $output .= '<p>'.$content.'</p>';
            $output .= '<div class="testimonial-author">';
                if(!empty($atts['thumb']))
                    $output .= '<div class="testimonial-thumb" style="background-image:url('.esc_url($atts['thumb']).');"></div>';
                else
                    $output .= '<div class="testimonial-thumb"><i class="fa fa-quote-left"></i></div>';
                $output .= '<h6><a href="' . esc_url($atts['url']) . '">' . $atts['name'] . '</a></h6>';
                if(!empty($atts['position'])) $output .= '<span>' . $atts['position'] . '</span>';
            $output .= '</div>';
    $output .= '</li>';
    

    return $output;
}
add_shortcode('tw_testimonial_carousel_item', 'waves_testimonial_carousel_item');