<?php
/* ================================================================================== */
/*      Testimonials Shortcode
/* ================================================================================== */

function waves_testimonials($atts, $content) {
    $atts = shortcode_atts( array(
        'size'  => 'col-md-4',
        'class' => '',
        'title' => '',
        'animation' => 'none',
        'animation_delay' => ''
    ), $atts );
    
    $output  = waves_item($atts);
        $output .= '<div class="waves-testimonials">';
                $output .= do_shortcode($content);
        $output .= '</div>';
    $output .= '</div>';

    return $output;
}
add_shortcode('tw_testimonials', 'waves_testimonials');


/* ================================================================================== */
/*      Testimonials item
/* ================================================================================== */

function waves_testimonials_item($atts, $content) {
    $atts = shortcode_atts( array(
        "name"    => "",
        "thumb"   =>"",
        "url"     => "",
    ), $atts );
    
        $output = '<div class="testimonial-item clearfix">';
            if(!empty($atts['thumb']))
                $output .= '<div class="testimonial-thumb" style="background-image:url('.esc_url($atts['thumb']).');">';
            else
                $output .= '<div class="testimonial-thumb"><i class="fa fa-quote-left"></i>';
            $output .= '</div>';
            $output .= '<div class="testimonial-content">';                
                $output .= '<h2 class="testimonial-author"><a href="' . esc_url($atts['url']) . '">' . $atts['name'] . '</a></h2>';
                $output .= $content;
            $output .= '</div>';
        $output .= '</div>';
    

    return $output;
}
add_shortcode('tw_testimonials_item', 'waves_testimonials_item');