// Resize
jQuery(window).resize(function() {
    "use strict";
    resizeFullElement();
    // MobileMenu Resize
    if (jQuery(window).width() >= 980 && jQuery('html').hasClass('mm-opened')) {jQuery('nav#mobile-menu').trigger("close.mm");}
    // ThemeWaves Redraw
    jQuery('.tw-redraw').each(function() {
        var $curr = jQuery(this);
        if (!$curr.hasClass('not-drawed')) {
            $curr.trigger('tw-animate');
        }
    });
    // Twitter Post Resize
    jQuery('iframe.twitter-tweet.twitter-tweet-rendered').each(function() {setTimeout(function(){try{jQuery(this).height(jQuery(this).contents().find('html').height());}catch(err){}},1000);});
    // jPlayer Resize
    jQuery('.jp-audio-container, .jp-video-container').each(function() {
        jQuery(this).find('.jp-progress-container').width((jQuery(this).width() - 149 < 0) ? 0 : (jQuery(this).width() - 149));
        jQuery(this).find('.jp-progress').width((jQuery(this).width() - 152 < 0) ? 0 : (jQuery(this).width() - 152));
    });
    // Header Background
    jQuery('.waves-title').each(function() {
        var $title=jQuery(this);
        var $text=$title.children('h3');
        var $bg=$title.children('.title-bg');
        var $wi=$title.width()-$text.width()-twItemRL($text);
        if($title.closest('.tw-element').hasClass('center')){
            $wi=$wi/2;
            if($title.children('.title-bg').length===1){
                $title.prepend($bg.clone());
            }
            $title.children('.title-bg').width($wi-2);
        }else{
            $bg.width($wi-3);
        }
    });
    // Mega Menu Resize
    try{
        var $megaHeader    =jQuery('#header>.container>.header');
        var $megaHeaderLeft=0;
        var $megaHeaderWidth=0;
        jQuery('.waves-mega-menu').each(function(){
            var $currMega=jQuery(this);
            var $currMegaWidth=0;
            var $liW=0;
            var $rem=0;
            var $currMegaLeft=0;
            var $colCnt  =parseInt($currMega.data('col').replace('column-', ''), 10);
            
            if(jQuery('#theme-layout').hasClass('theme-boxed')){
                $megaHeaderLeft=jQuery('#theme-layout').offset().left;
                $megaHeaderWidth=jQuery('#theme-layout').width();
            }else{
                $megaHeaderLeft =$megaHeader.closest('.container').offset().left+parseInt($megaHeader.closest('.container').css('padding-left').replace('px', ''), 10);
                $megaHeaderWidth=$megaHeader.closest('.container').width();
            }
            $currMega.css({'display':'block','opacity':'0','width':($megaHeaderWidth+'px')});
            jQuery('>li',$currMega).each(function(){
                jQuery(this).css('width','');
                if(jQuery(this).width()>$liW){
                    $liW=jQuery(this).width();
                }
            }).promise().done(function(){
                $currMega.css('margin-left','0px').css('left','0px');
                $currMegaLeft=$currMega.offset().left;
                if($colCnt<=3){
                    $currMegaWidth=$liW*$colCnt;
                    $rem=($megaHeaderLeft+$megaHeaderWidth)-($currMegaLeft+$currMegaWidth);
                }else{
                    $currMegaWidth=$megaHeaderWidth;
                    $liW=$currMegaWidth/$colCnt;
                    $rem=$megaHeaderLeft-$currMegaLeft;
                }
                jQuery('>li',$currMega).width($liW);
                $currMega.width($currMegaWidth);
                
                if($rem<0){
                    $currMega.css('margin-left',$rem+'px');
                }else{
                    $currMega.css('margin-left','').css('left','');
                }
                
                $currMega.css({'display':'','opacity':'','visibility':''});
            });
        });
    }catch(err){}
    //-------
    headerMTS();
});
jQuery(document).ready(function($) {
    // Divider
    jQuery('.tw-divider-space').closest('.tw-element').addClass('tw-divider-space-container');
    
    // Accordion And Toggle
    $('.waves-accordion,.waves-toggle').each(function() {
        var $currAccCont = $(this);
        $('>.accordion-group>.accordion-heading>.accordion-toggle', $currAccCont).live('click', function(e) {
            e.preventDefault();
            var $currGroup = $(this).closest('.accordion-group');
            if ($currGroup.hasClass('active') && !$currGroup.hasClass('closing')) {
                $currGroup.removeClass('active').addClass('closing').children('.accordion-body').stop().slideUp("fast", function() {
                    $currGroup.removeClass('closing');
                });
                $currGroup.find('.accordion-heading>.accordion-toggle').css('background-color','');
            } else {
                $currGroup.removeClass('closing');
                $currGroup.addClass('active').children('.accordion-body').css({'display': 'none'}).stop().slideDown("fast");
                if ($currAccCont.hasClass('waves-accordion')) {
                    $currGroup.siblings('.accordion-group.active').addClass('closing').removeClass('active').children('.accordion-body').stop().slideUp("fast", function() {
                        $currGroup.removeClass('closing');
                    });
                    $currGroup.siblings('.accordion-group').find('.accordion-heading>.accordion-toggle').css('background-color','');
                }
                $currGroup.find('.accordion-heading>.accordion-toggle').css('background-color',$currGroup.find('.accordion-heading>.accordion-toggle').data('color'));
            }
        });
    });

    // Tab
    $('.waves-tab').each(function() {
        var $currTabCont=$(this);
        $currTabCont.find(">li").each(function($i) {
            $(this).appendTo($(this).closest('.waves-tab').find('ul.nav-tabs'));
            if ($i === 0) {
                $(this).addClass('active');
            }
        });
        $currTabCont.find(".tab-pane").each(function($in) {
            jQuery(this).appendTo(jQuery(this).closest('.waves-tab').find('div.tab-content'));
            if ($in === 0) {
                $(this).addClass('active');
            }else{
                $(this).css('display','none');
            }
        });
        $('>ul>li',$currTabCont).each(function($i){
            var $currLi  = $(this);
            var $currCon = $('>.tab-content>.tab-pane',$currTabCont).eq($i);
            $currLi.on('click', function(e) {e.preventDefault();
                if($currLi.not('.active')){
                    $currLi.addClass('active').siblings('.active').removeClass('active');
                    $currCon.siblings('.active').fadeOut().removeClass('active');
                    $currCon.addClass('active').fadeIn();
                }                
            });
        });
        $currTabCont.removeClass('tab-init');
    });
    
    // ThemeWaves Animate General - Init
    jQuery('.tw-animate-gen').each(function() {
        var $curr = jQuery(this);
        var $currChild = $curr.children().eq(-1);
        if ($currChild.attr('id') === 'sidebar' || $currChild.hasClass('tw-pricing') || $currChild.hasClass('tw-our-team') || $currChild.hasClass('tw-blog')) {
            $currChild.children().addClass('tw-animate-gen').attr('data-animation', $curr.attr('data-animation')).attr('data-animation-delay', $curr.attr('data-animation-delay')).attr('data-animation-offset', $curr.attr('data-animation-offset')).css('opacity', '0');
            $curr.removeClass('tw-animate-gen').attr('data-animation', '').attr('data-animation-delay', '').attr('ddata-animation-offset', '').css('opacity', '');
        }
        if ($currChild.hasClass('carousel-anim')) {
            $currChild.find('ul.waves-carousel>li').css('opacity', '0');
            $curr.css('opacity', '');
        }
    });
    jQuery(window).resize();
});
jQuery(window).load(function() {
    "use strict";
    //----------------------------Initial Functions-----------------------------------------------
    wavesReInit(jQuery('#theme-layout'));
    waves_carousel();
    // ThemeWaves Animate Custom
    jQuery('.tw-animate').each(function() {
        var $curr = jQuery(this);
        var $currOffset = $curr.attr('data-animation-offset');
        if ($currOffset === '' || $currOffset === 'undefined' || $currOffset === undefined) {
            $currOffset = 'bottom-in-view';
        }
        if ($currOffset === 'none') {
            $curr.trigger('tw-animate');
        } else {
            $curr.waypoint(function() {
                $curr.trigger('tw-animate');
            }, {triggerOnce: true, offset: $currOffset});
        }
    });
    // ThemeWaves Animate General - Bind
    jQuery('.tw-animate-gen').each(function() {
        var $curr = jQuery(this);
        var $currChild = $curr.children().eq(-1);
        var $removeClass = true;
        if ($curr.data('animation') === 'pulse' || $curr.data('animation') === 'floating' || $curr.data('animation') === 'tossing') {
            $removeClass = false;
        }
        $curr.bind('tw-animate', function() {
            var $currDelay = parseInt($curr.attr('data-animation-delay'), 10);
            if($currDelay<0){$currDelay=0;}
            setTimeout(function(){
                if ($currChild.hasClass('carousel-anim')) {
                    $currChild.find('ul.waves-carousel>li').each(function(i) {
                        var $currLi = jQuery(this);
                        setTimeout(function() {
                            $currLi.css('opacity', '');
                            $currLi.addClass('animated ' + $curr.data('animation'));
                            if ($removeClass) {
                                setTimeout(function() {
                                    $currLi.removeClass('animated');
                                    $currLi.removeClass($curr.data('animation'));
                                }, 3000);
                            }
                        }, 300 * i);
                    });
                } else {
                    $curr.css('opacity', '');
                    $curr.addClass('animated ' + $curr.data('animation'));
                    if ($removeClass) {
                        setTimeout(function() {
                            $curr.removeClass('animated');
                            $curr.removeClass($curr.data('animation'));
                        }, 3000);
                    }
                }
            },$currDelay);
        });
    });
    // ThemeWaves Animate General
    jQuery('.tw-animate-gen').each(function() {
        var $curr = jQuery(this);
        var $currOffset = $curr.attr('data-animation-offset');
        if ($currOffset === '' || $currOffset === 'undefined' || $currOffset === undefined) {
            $currOffset = 'bottom-in-view';
        }
        $curr.waypoint(function() {
            $curr.trigger('tw-animate');
        }, {triggerOnce: true, offset: $currOffset});
    });
    jQuery(window).resize();
    jQuery(window).scroll();
});
jQuery(window).scroll(function() {
    //-------
    headerMTS();
});


function waves_carousel() {
    "use strict";
    jQuery('.list_carousel').each(function() {
        var $prev = jQuery(this).closest('.carousel-container').find(".carousel-prev");
        var $next = jQuery(this).closest('.carousel-container').find(".carousel-next");
        var $bullets = jQuery(this).find(".carousel-bullet");
        var $width = 370;
        var $min = 1;
        var $max = 4;
        var $items = 1;
        var $auto = false;
        var $fx = 'scroll';
        var $duration = 500;
        var $timeoutDuration = 2500;
        var $responsive = true;
        var $currentCrsl = jQuery(this).children('ul.waves-carousel');
        //artHoverAnimateCSS($currentCrsl.children('li'));
        if (jQuery(this).hasClass('waves-carousel-portfolio')) {
            $width = 400;
            $max = 3;
            $items = 1;
        } else if (jQuery(this).hasClass('waves-carousel-partner')) {
            $width = 200;
            $max = 6;
            $items = 2;
        } else if (jQuery(this).hasClass('waves-carousel-twitter') || jQuery(this).hasClass('waves-carousel-testimonial')) {
            $width = 800;
            $max = 1;
            $items = 1;
            $fx = 'fade';
            $auto   = true;
            $duration           = parseInt(jQuery(this).attr('data-duration'),10);
            $timeoutDuration    = parseInt(jQuery(this).attr('data-timeout'), 10);
        } else if (jQuery(this).hasClass('waves-carousel-text')) {
            $max    = 1;
            $items  = 1;
            $fx     = 'fade';
            $auto   = true;
            $responsive         = true;
            $duration           = parseInt(jQuery(this).attr('data-duration'),10);
            $timeoutDuration    = parseInt(jQuery(this).attr('data-timeout'), 10);
        }
        $currentCrsl.carouFredSel({
            responsive: $responsive,
            auto: {
                play:$auto,
                timeoutDuration: $timeoutDuration
            },
            prev: $prev,
            next: $next,
            width: '100%',
            heigth: 'auto',
            scroll: {
                fx: $fx,
                items: 1,
                easing: "swing",
                duration: $duration
            },
            pagination: {
                container: $bullets,
                items: $items,
                anchorBuilder: function() {
                    return "<a><span></span></a>";
                }
            },
            items: {
                width: $width,
                visible: {
                    min: $min,
                    max: $max
                }
            }
        });
    });
}

/* Item Right Left Width */
/* ------------------------------------------------------------------- */
function wavesReInit($selector){
    // PrettyPhoto
    jQuery("a[rel^='prettyPhoto']",$selector).prettyPhoto({
        deeplinking: false
    });
    // Milestones
    jQuery('.tw-milestones-box',$selector).each(function() {
        var $curr = jQuery(this);
        var $delay = 1000;
        if($curr.attr('data-animation-delay')!==''){
            $delay += parseInt($curr.attr('data-animation-delay'), 10);
        }
        $curr.bind('tw-animate', function() {
            jQuery('>.tw-milestones-content>.tw-milestones-count>.tw-milestones-show>ul', $curr).each(function() {
                jQuery(this).css('bottom', '-' + jQuery(this).height() + 'px');
            });
            setTimeout(function() {
                jQuery('>.tw-milestones-content>.tw-milestones-count>.tw-milestones-show>ul', $curr).each(function() {
                    jQuery(this).animate({bottom: '5px'}, 800).animate({bottom: '0px'}, 'slow');
                });
            }, $delay);
        });
    });
    // jPlayer
    if (jQuery().jPlayer) {
        jQuery('.jp-jplayer-audio',$selector).each(function() {
            jQuery(this).jPlayer({
                ready: function() {
                    jQuery(this).jPlayer("setMedia", {
                        mp3: jQuery(this).data('mp3')
                    });
                },
                swfPath: "",
                cssSelectorAncestor: "#jp_interface_" + jQuery(this).data('pid'),
                supplied: "mp3, all"
            });
        });

        jQuery('.jp-jplayer-video',$selector).each(function() {
            jQuery(this).jPlayer({
                ready: function() {
                    jQuery(this).jPlayer("setMedia", {
                        m4v: jQuery(this).data('m4v'),
                        poster: jQuery(this).data('thumb')
                    });
                },
                size: {
                    width: '100%',
                    height: 'auto'
                },
                swfPath: "",
                cssSelectorAncestor: "#jp_interface_" + jQuery(this).data('pid'),
                supplied: "m4v, all"
            });
        });
        jQuery('.jp-jplayer-bgvideo',$selector).each(function() {
            var $bgPlayer=jQuery(this);
            var $bgPauseBtn=$bgPlayer.closest('.row-container');
            var $bgPlayBtn =$bgPauseBtn.children('.container').find('.bg-video-play').hasClass('bg-video-play')?$bgPlayer.closest('.row-container').children('.container').find('.bg-video-play'):false;
            $bgPlayer.jPlayer({
                ready: function() {
                    $bgPlayer.jPlayer("setMedia", {
                        m4v: $bgPlayer.data('m4v'),
                        poster: $bgPlayer.data('thumb')
                    });
                    if($bgPlayBtn===false){
                        $bgPlayer.jPlayer("play");
                    }
                },
                size: {
                    width: '100%',
                    height: 'auto'
                },
                muted: true,
                loop: true,
                swfPath: "",
                cssSelectorAncestor: "#jp_interface_" + $bgPlayer.data('pid'),
                supplied: "m4v, all"
            });
            if($bgPlayBtn){
                $bgPlayBtn.unbind('click').bind('click',function(){
                    if($bgPauseBtn.hasClass('paused')){
                        $bgPlayer.jPlayer("play");
                        $bgPauseBtn.removeClass('paused').css({height:$bgPauseBtn.height()+'px',cursor: 'pointer'}).children('.container').fadeOut();
                        return false;
                    }
                });
                $bgPauseBtn.unbind('click').bind('click',function(){
                    if(!$bgPauseBtn.hasClass('paused')){
                        $bgPlayer.jPlayer("pause");
                        $bgPauseBtn.addClass("paused").css({height:'',cursor: ''}).children('.container').fadeIn();
                    }
                });
                $bgPauseBtn.click();
            }
        });
    }
    // Vide Responsive
    jQuery('#main iframe').each(function(){if(!jQuery(this).closest('.ls-slide').hasClass('ls-slide')){jQuery(this).addClass('makeFluid');}});
    fluidvids.init({
        selector: '#main iframe.makeFluid',
        players: ['www.youtube.com', 'player.vimeo.com']
    });
    // Image Slider
    function imageSlider(){
        jQuery('.image-slide',$selector).each(function() {
            var $prev = jQuery(this).closest('.image-slide-container').find(".carousel-prev");
            var $next = jQuery(this).closest('.image-slide-container').find(".carousel-next");
            jQuery(this).carouFredSel({
                prev: $prev,
                next: $next,
                auto: false,
                responsive: true,
                width: '100%',
                scroll: {
                    fx: 'fade',
                    easing: "swing"
                },
                pagination: {
                    container: jQuery(this).closest('.image-slide-container').find(".image-slide-bullet"),
                    items: 1,
                    anchorBuilder: function() {
                        return "<a></a>";
                    }
                }
            });
        });
        /* Image Slider Element */
        /* ------------------------------------------------------------------- */
        jQuery('.gallery-container',$selector).each(function() {
            var $prev = jQuery(this).find(".carousel-prev");
            var $next = jQuery(this).find(".carousel-next");
            jQuery(this).find('.gallery-slide').carouFredSel({
                auto: false,
                responsive: true,
                scroll: {fx: 'uncover-fade', easing: "swing", duration: 1000},
                width: '100%',
                heigth: 'auto',
                padding: 0,
                prev: $prev,
                next: $next,
                items: {
                    width: 870,
                    visible: {
                        min: 1,
                        max: 1
                    }
                }
            });
        });
    }
    if($selector.is('#theme-layout')){
        imageSlider();
    }else{
        $selector.find('img').bind("load",imageSlider);
    }
}

/* Item Top Bottom Height */
/* ------------------------------------------------------------------- */
function twItemTB($item) {
    "use strict";
    $item = jQuery($item);
    var $itemMarginTB = parseInt($item.css('margin-top').replace('px', ''), 10) + parseInt($item.css('margin-bottom').replace('px', ''), 10);
    var $itemPaddingTB = parseInt($item.css('padding-top').replace('px', ''), 10) + parseInt($item.css('padding-bottom').replace('px', ''), 10);
    var $itemBorderTB  = parseInt($item.css('border-top-width').replace('px',''),10) + parseInt($item.css('border-bottom-width').replace('px',''),10);
    var $itemTB = $itemMarginTB + $itemPaddingTB + $itemBorderTB;
    return $itemTB;
}
/* Item Right Left Width */
/* ------------------------------------------------------------------- */
function twItemRL($item) {
    $item = jQuery($item);
    var $itemMarginRL = parseInt($item.css('margin-left').replace('px', '')      ,10) + parseInt($item.css('margin-right').replace('px', '')      ,10);
    var $itemPaddingRL = parseInt($item.css('padding-left').replace('px', '')    ,10) + parseInt($item.css('padding-right').replace('px', '')     ,10);
    var $itemBorderRL = parseInt($item.css('border-left-width').replace('px', ''),10) + parseInt($item.css('border-right-width').replace('px', ''),10);
    var $itemRL = $itemMarginRL + $itemPaddingRL + $itemBorderRL;
    return $itemRL;
}
/* Full Element Resize */
/* ------------------------------------------------------------------- */
function resizeFullElement(){
    jQuery('.waves-full-element').each(function(){
        var $currentWavesFullElement=jQuery(this);
        var $w=jQuery('body').hasClass('not-responsive')?jQuery('#theme-layout').width():jQuery(window).width();
        if(jQuery('#theme-layout').hasClass('theme-full') || (1183<=$w && $w<=1242 && !jQuery('body').hasClass('not-responsive')) || ($w<=974 && !jQuery('body').hasClass('not-responsive'))){
            $currentWavesFullElement.css('margin-left','0px').css('width','');
            var $currLayoutWidth = $w-twItemRL($currentWavesFullElement);
            var $marginLeft=$currentWavesFullElement.offset().left*-1;
            $currentWavesFullElement.css('margin-left',$marginLeft+'px');
            $currentWavesFullElement.css('width',($currLayoutWidth)+'px');
            $currentWavesFullElement.css('max-width',($currLayoutWidth)+'px');
        }else{
            $currentWavesFullElement.css('margin-left','');
            $currentWavesFullElement.css('width','');
            $currentWavesFullElement.css('max-width','');
        }
    });
}
/* Header Mobile Top Space */
/* ------------------------------------------------------------------- */
function headerMTS(){
    if(jQuery('body').hasClass('admin-bar')){
        if(jQuery('#wpadminbar').css('position')==='absolute'&&jQuery(window).scrollTop()>30){
            jQuery('header').css('top','0px');
        }else{
            jQuery('header').css('top','');
        }
    }
}
/* WC Widget Title */
/* ------------------------------------------------------------------- */
function wcWidgetTitle() {
    jQuery('.widget_shopping_cart_content').each(function() {
        if (jQuery(this).find('.total>.amount').hasClass('amount')) {
            var $total = 0;
            jQuery(this).find('ul>li>.quantity').each(function() {
                var $cln = jQuery(this).clone();
                $cln.find('.amount').remove();
                $total += parseInt($cln.text().replace(' × ', ''), 10);
            });
            jQuery(this).siblings('.top-widget-title').find('span.count-cart').remove();
            jQuery(this).siblings('.top-widget-title').append('<span class="count-cart"> ('+$total+') </span>');
        }
    });
    jQuery('.loading-cart').removeClass('loading-cart');
}