<?php
global $waves_elements, $waves_element_options;
$waves_elements["portfolio"] = array(
    "name" => "Portfolio",
    "size" => "col-md-12",
    "min-size" => "col-md-12",
    "row-type" => "row",
    "only" => "builder",
    "help" => "http://support.themewaves.com/knowledgebase/portfolio-element-tutorial/",
    "settings" => array(
        "category" => array(
            "title" => "Choose Portfolio category",
            "type" => "category",
            "options" => $waves_element_options['cat']['portfolio'],
            "default" => "0",
            "desc" => "Chosen categories will be included.",
        ),
        "category_ids" => array(
            "type" => "hidden",
            "selector" => "category",
            "default" => "",
        ),
        "column" => array(
            "title" => "Column count",
            "type" => "select",
            "options" => array('3' => '3 Columns', '4' => '4 Columns'),
            "default" => "4",
            "desc" => "This option will only 3 Column width when you are using portfolio with Sidebar. (Not a Fullwidth layout)",
        ),
        "count" => array(
            "title" => "Count",
            "type" => "text",
            "default" => "12",
            "desc" => "",
        ),
        "height" => array(
            "title" => "Height",
            "type" => "text",
            "holder" => "300",
            "default" => "",
            "desc" => "Portfolio item height",
        ),
        "layout" => array(
            "title" => "Layout ?",
            "type" => "select",
            "options" => array('style1' => 'Style 1', 'style2' => 'Style 2'),
            "default" => "style1",
        ),
        "filter" => array(
            "title" => "Display Filter?",
            "type" => "select",
            "options" => $waves_element_options['yesno'],
            "default" => "true",
            "desc" => "",
        ),
        "pagination" => array(
            "title" => "Display Pagination?",
            "type" => "select",
            "options" => array('none' => 'None', 'simple' => 'Simple pagination', 'infinite' => 'Infinite scroll'),
            "default" => "simple",
            "desc" => "",
        ),
        "order" => array(
            "title" => "Order",
            "type" => "select",
            "options" => $waves_element_options['order'],
            "default" => "date_desc",
            "desc" => "",
        ),
//        "single" => array(
//            "title" => "Portfolio Single",
//            "type" => "select",
//            "options" => array('ajax' => 'Ajax', 'link' => 'Link'),
//            "default" => "ajax",
//            "desc" => "",
//        ),
    ),
);