<?php
global $waves_elements;
$waves_elements["video"] = array(
    "name" => "Video",
    "size" => "col-md-12",
    "content" => "video_embed",
    "help" => "http://support.themewaves.com/knowledgebase/video-element-tutorial-2/",
    "settings" => array(
        "type" => array(
            "title" => "Choose Post type",
            "type" => "select",
            "options" => array("background" => "Background", "embed" => "Embed", "url" => "URL"),
            "hide" => array("background" => "video_m4v,add_video,video_thumb,add_thumb,video_embed", "url" => "video_embed,video_text", "embed" => "video_m4v,add_video,video_thumb,add_thumb,video_text"),
            "default" => "background",
            "desc" => "Choose Video type.",
        ),
        "video_text" => array(
            "title" => "Video Text",
            "type" => "text",
            "holder" => "",
            "default" => "",
            "desc" => "",
        ),
        "video_embed" => array(
            "title" => "Embeded Code",
            "type" => "textArea",
            "holder" => "",
            "default" => "",
            "desc" => "",
        ),
        "video_m4v" => array(
            "title" => "M4V File URL",
            "type" => "text",
            "holder" => "",
            "default" => "",
            "desc" => "The URL to the .m4v video file.",
        ),
        "add_video" => array(
            "title" => "",
            "type" => "button",
            "save_to" => "video_m4v",
            "default" => "Upload",
            "desc" => "",
        ),
        "video_thumb" => array(
            "title" => "Video Thumbnail Image",
            "type" => "text",
            "holder" => "",
            "default" => "",
            "desc" => "The preivew image.",
        ),
        "add_thumb" => array(
            "title" => "",
            "type" => "button",
            "save_to" => "video_thumb",
            "default" => "Upload",
            "desc" => "",
        ),
    ),
);