<?php

/* ================================================================================== */
/*      Button Shortcode
  /* ================================================================================== */

function waves_button($atts, $content) {
    $rounded = !empty($atts['rounded']) && $atts['rounded'] == 'true' ? ' rounded' : '';
    $link = !empty($atts['link']) ? $atts['link'] : '#';
    $style = !empty($atts['style']) ? (' btn-' . $atts['style']) : '';
    $size = !empty($atts['size']) ? (' btn-' . $atts['size']) : '';
    $target = !empty($atts['target']) ? ($atts['target']) : '_blank';
    $color = '';
    $whitecolor = '';
    if (!empty($atts['color'])) {
        $color = ' style="border-color:' . $atts['color'] . ';';
        $color .= (!empty($atts['style']) && $atts['style'] === 'border' ? ('color:' . $atts['color']) : ('background-color:' . $atts['color'])) . '"';
        if ($atts['color'] == '#fff' || $atts['color'] == '#ffffff' || $atts['color'] == 'white')
            $whitecolor = ' white-button';
    }
    return '<a href="' . $link . '" target="' . $target . '" class="btn' . $rounded . $style . $size . $whitecolor . '"' . $color . '>' . $content . '<span></span></a>';
}

add_shortcode('tw_button', 'waves_button');
