<?php
/* ================================================================================== */
/*      Recent Portfolios Shortcode
/* ================================================================================== */

function waves_carousel_portfolios($atts, $content) {
    $atts = shortcode_atts(array(
        'size'  => 'col-md-12',
        'class' => '',
        'title' => '',
        'category_ids'  => '',
        'post_count'    => '6',
        'image_height' => '',
        'order'     => 'date_desc',
//        'scroll'     => 'arrow',
//        'desc_title' => '',
//        'desc_text' => '',
        'animation' => 'none',
        'animation_delay' => ''
    ), $atts);

//    if($atts['scroll'] == 'bullet') {
        $arrow = '<div class="carousel-bullet"></div>';
//    } else {    
        $arrow .= '<div class="carousel-arrow">';
        $arrow .= '<a class="carousel-prev" href="#"><i class="fa fa-angle-left"></i></a>';
        $arrow .= '<a class="carousel-next" href="#"><i class="fa fa-angle-right"></i></a>';
        $arrow .= '</div>';
//    }
    
    
    
    $output = '';
//    if (!empty($atts['desc_text'])) {
//        $output .= waves_item($atts,'row carousel-container');
//        $output .= '<div class="col-md-3 carousel-text">';
//        $output .=!empty($atts['desc_title']) ? ('<div class="tw-title-container"><h3 class="tw-title">' . $atts['desc_title'] . '</h3><span class="tw-title-border"></span></div>') : '';
//        $output .= '<p>' . $atts['desc_text'] . '</p>';
//        $output .= $arrow . '</div>';
//        $output .= '<div class="col-md-9">';
//    } else {
        $output .= waves_item($atts,'carousel-container');
//    }


    $output .= '<div class="waves-carousel-portfolio waves-portfolio list_carousel carousel-anim">';
    $output .= '<ul class="waves-carousel">';
    $query = Array(
        'post_type' => 'portfolio',
        'posts_per_page' => $atts['post_count'],
    );
    $cats = explode(",", $atts['category_ids']);
    if (!empty($cats[0])) {
        $query['tax_query'] = Array(Array(
                'taxonomy' => 'portfolio_cat',
                'terms' => $cats,
                'field' => 'slug'
            )
        );
    }
    if ($atts['order']!='date_desc') {
        switch ($atts['order']) {
            case "date_asc":
                $query['orderby'] = 'date';
                $query['order'] = 'ASC';                    
                break;
            case "title_asc":
                $query['orderby'] = 'title';
                $query['order'] = 'ASC';                    
                break;
            case "title_desc":
                $query['orderby'] = 'title';
                $query['order'] = 'DESC';
                break;
            case "random":
                $query['orderby'] = 'rand';
                break;
        }
    }
    
    // START - LOOP
    query_posts($query);
    while (have_posts()){ the_post();
        global $post;
        $output .= '<li>';
            if(has_post_thumbnail()){
                ob_start();
                $width = 360;
                $height = $atts['image_height'];
                echo '<div class="carousel-thumbnail overlay-container">';
                        echo waves_image($width, $height);
                        echo '<div class="image-overlay">';
                        echo '<div class="portfolio-overlay-icon"><a href="'.get_permalink().'" class="plus-icon"></a></div>';
                        echo '</div>';
                echo '</div>';
                $output .= ob_get_clean();
            }
            $output .= '<div class="carousel-content">';
                    $output .= '<h3 class="carousel-title"><a href="'.get_permalink().'">'.get_the_title().'</a></h2>';
                    $output .= get_the_term_list($post->ID, 'portfolio_cat', '<span class="portfolio-meta">', ' / ', '</span>');
                        $hide_favorites = isset($atts['hide_favorites']) ? $atts['hide_favorites'] : 'false';
                        if($hide_favorites==='false'){
                           $output .= waves_like();
                        }
            $output .= '</div>';
        $output .= '</li>';
    }
    wp_reset_query();    
    // END   - LOOP
    
    $output .= '</ul>';
    $output .= '<div class="clearfix"></div>';
//    if(empty($atts['desc_text'])) $output .= $arrow;
    $output .= $arrow;
    $output .= '</div>';
//    if (!empty($atts['desc_text'])) {
//        $output .= '</div>';
//    }
    $output .= '</div>';
    return $output;
}
add_shortcode('tw_recent_portfolios', 'waves_carousel_portfolios');