<?php

/* ================================================================================== */
/*      Item Title Shortcode
  /* ================================================================================== */

function waves_heading($atts, $content) {
    $atts = shortcode_atts(array(
        'size' => 'col-md-3',
        'class' => '',
        'title' => '',
        "text" => '',
        "description" => '',
        "weight" => '400',
        "style" => 'normal',
        "position" => 'center',
        'animation' => 'none',
        'animation_delay' => 'bottom-in-view'
    ), $atts);
    $output = waves_item($atts, 'waves-heading '.$atts['position']);
            $output .= '<h3 class="heading-title" style="font-weight:'.$atts['weight'].';font-style:'.$atts['style'].'">' . $atts['text'] . '<span class="title-seperator"></span></h3>';
            if(!empty($content)) {$output .= '<p>'.do_shortcode($content).'</p>';}
    $output .= '</div>';
    return $output;
}

add_shortcode('tw_heading', 'waves_heading');
