<?php
/* ================================================================================== */
/*      Text carousel Shortcode
/* ================================================================================== */

function waves_text_carousel($atts, $content) {
    $atts = shortcode_atts( array(
        'size'  => 'col-md-12',
        'class' => '',
        'title' => '',
        'duration' => '1000',
        'timeout' => '2000',
    ), $atts );
    
    $output  = waves_item($atts,'carousel-container');
        $output .= '<div class="waves-carousel-text list_carousel clearfix" data-duration="' . $atts['duration'] . '" data-timeout="' . $atts['timeout'] . '">';
            $output .= '<ul class="waves-carousel">';
                $output .= do_shortcode($content);
            $output .= '</ul>';
            $output .= '<div class="carousel-bullet"></div>';
        $output .= '</div>';
    $output .= '</div>';

    return $output;
}
add_shortcode('tw_text_carousel', 'waves_text_carousel');


/* ================================================================================== */
/*      Text carousel item
/* ================================================================================== */

function waves_text_carousel_item($atts, $content) {
    
    $output = '<li>';
        $output .= '<div class="text-carousel-item clearfix">';
            $output .= '<div class="text-carousel-content">';
                $output .= do_shortcode(apply_filters('the_excerpt', $content));
            $output .= '</div>'; 
       $output .= '</div>';
    $output .= '</li>';
    

    return $output;
}
add_shortcode('tw_text_carousel_item', 'waves_text_carousel_item');