<?php get_header(); ?>
<?php
the_post();
$col = "col-md-9";
if (get_metabox("layout") == "full") {
    $col = "col-md-12";
}
$klas = get_metabox("layout") ? get_metabox("layout") : 'right';
?>

<div class="row">
    <div class="<?php echo $col; echo " content-" . $klas;?>"><?php
        if(post_password_required()){
            the_content();
        }else{
            $feature = false;
            if (get_metabox("feature_show") == "true") {
                $feature = true;
            } else if (get_metabox("feature_show") != "false") {
                if (tw_option("feature_show")) {
                    $feature = true;
                }
            }
            $author_email = get_the_author_meta('email'); ?>
            <article <?php post_class('single'); ?>><?php
                if ($feature) {
                    $format = get_post_format() == "" ? "standard" : get_post_format();
                    echo '<div class="entry-media">';
                    call_user_func('waves_format_' . $format, false);
                    echo '</div>';
                } ?>
                <h1 class="entry-title"><?php the_title(); ?></h1><?php 
                    echo '<div class="entry-meta clearfix">';
                        echo '<span class="author"> '.__('by', 'waves').' '; the_author_posts_link(); echo '</span>';
                        echo '<span class="date">'.__('on', 'waves').' '.get_the_time('j F Y').'</span>';
                        echo '<span class="categories-links">'.__('in', 'waves').' '.get_the_category_list(', ').'</span>';
                        if (comments_open()) {
                            echo '<span class="comment-count"> '.waves_comment_count().'</span>';
                        }
                    echo '</div>'; ?>
                <div class="entry-content">
                    <?php the_content(); ?>
                    <?php wp_link_pages(); ?>
                    <div class="clear"></div>
                </div><?php
                $share = false;
                if (get_metabox("social_share") == "true") {
                    $share = true;
                } else if (get_metabox("social_share") != "false") {
                    if (tw_option("social_share")) {
                        $share = true;
                    }
                }
                if (get_the_tag_list() || $share) { ?>
                    <div class="entry-meta clearfix"><?php
                        if($share) {
                            echo '<span>'.__('Share this article', 'themewaves').'</span>';
                            echo tw_social_share();
                        } if(get_the_tag_list()) { ?>
                            <span class="tags">
                                <?php echo __('Tags: ', 'themewaves') . get_the_tag_list('', ', ', ''); ?>
                            </span><?php
                        } ?>
                    </div><?php
                } ?>
                <?php about_author(); ?>
                <div class="nextprev-postlink clearfix">
                    <div class="prev-post-link">
                        <?php previous_post_link('<div class="post-link-desc">'.__('previous article').'</div><h3 class="post-link-title">%link</h3>'); ?>
                    </div>
                    <div class="next-post-link">
                        <?php next_post_link('<div class="post-link-desc">'.__('next article').'</div><h3 class="post-link-title">%link</h3>'); ?>
                    </div>
                </div>
            </article><?php
            comments_template('', true); 
        } ?>
    </div>
    <?php if (get_metabox("layout") != "full") { get_sidebar();} ?>
</div>
<?php get_footer(); ?>