<?php
global $waves_elements,$waves_element_options;
$waves_elements["blog"] = array(
    "name" => "Blog",
    "size" => "col-md-12",
    "min-size" => "col-md-12",
    "only" => "builder",
    "help" => "http://support.themewaves.com/knowledgebase/blog-element-tutorial/",
    "settings" => array(
        "layout" => array(
            "title" => "Blog layout",
            "type" => "select",
            "options" => array('simple' => 'Simple', 'grid' => 'Grid'),
            "default" => "simple",
            "desc" => "Select blog layout.",
        ),
        "category" => array(
            "title" => "Blog category",
            "type" => "category",
            "options" => $waves_element_options['cat']['post'],
            "default" => "0",
            "desc" => "If you want to display Specify category then choose.",
        ),
        "category_ids" => array(
            "type" => "hidden",
            "selector" => "category",
            "default" => "",
        ),
        "post_count" => array(
            "title" => "Post Count",
            "type" => "text",
            "holder" => "10",
            "default" => "10",
            "desc" => "Insert how many posts will displayed in blog.",
        ),
        "pagination" => array(
            "title" => "Pagination",
            "type" => "select",
            "options" => array("true" => "Simple", "infiniti" => "Infiniti", "false" => "None"),
            "default" => "true",
            "desc" => "",
        ),
        "excerpt_count" => array(
            "title" => "Excerpt Count",
            "type" => "text",
            "holder" => "50",
            "default" => "",
            "desc" => "How much blog words displayed in blog Excerpt. Must insert Digits including 0.",
        ),
        "more_text" => array(
            "title" => "Custom Read more",
            "type" => "text",
            "holder" => "",
            "default" => "",
            "desc" => "",
        ),
    ),
);