<?php
global $waves_elements, $waves_element_options;
$waves_elements["process"] = array(
    "name" => "Process",
    "size" => "col-md-12",    
    "min-size" => "col-md-12",
    "content" => "items",
    "help" => "http://support.themewaves.com/knowledgebase/process-element-tutorial/",
    "settings" => array(
        "add_item" => array(
            "title" => "",
            "type" => "button",
            "data" => array("item" => "process", "settings" => "items"),
            "default" => "Add Process",
            "desc" => "",
        ),
        "items" => array(
            "title" => "Items",
            "type" => "container",
            "container_type" => "toggle",
            "title_as" => "title",
            "add_button" => "add_item",
            "default" => array(
                array(
                    "title" => array(
                        "title" => "Process Title",
                        "type" => "text",
                        "default" => "Process Title",
                    ),
                    "animation" => array(
                        "title" => "Animation",
                        "type" => "select",
                        "options" => $waves_element_options['animations'],
                        "default" => "none",
                    ),
                    "animation_delay" => array(
                        "title" => "Animation Delay",
                        "type" => "text",
                        "holder" => "Example:300",
                        "desc" => "",
                    ),
                    "title_style" => array(
                        "title" => "Title Style ?",
                        "type" => "select",
                        "options" => array( 'light' => 'Light', 'dark' => 'Dark' ),
                        "default" => "light",
                        "desc" => "",
                    ),
                    "color" => array(
                        "title" => "",
                        "type" => "color",
                        "holder" => "#16d1ac",
                        "default" => "#16d1ac",
                        "desc" => "Choose color",
                    ),
                    "number" => array(
                        "title" => "Process nuber",
                        "type" => "text",
                        "default" => "1",
                    ),
                    
                )
            ),
        ),
    ),
);