<?php
global $waves_elements, $waves_element_options;
$waves_elements["service"] = array(
    "name" => "Service",
    "size" => "col-md-4",
    "help" => "http://support.themewaves.com/knowledgebase/service-element-tutorial-2/",
    "content" => "content",
    "settings" => array(
        "service_style" => array(
            "title" => "",
            "type" => "select",
            "options" => array('style_1' => 'Style 1 (Centered)', 'style_2' => 'Style 2', 'style_3' => 'Style 3', 'style_4' => 'Style 4'),
            "default" => "style_1",
            "desc" => "",
        ),
        "thumb_type" => array(
            "title" => "Choose Thumb type",
            "type" => "select",
            "options" => array("image" => "Image", "fi" => "Font Icon", "cc" => "Circle Chart"),
            "hide" => array("image" => "fi,cc", "fi" => "service_thumb,add_thumb,service_thumb_height,service_thumb_width,cc", "cc" => "service_thumb,add_thumb,service_thumb_height,service_thumb_width,fi"),
            "default" => "fi",
            "desc" => "Chosen Post type will be displayed.",
        ),
        "service_thumb_width" => array(
            "title" => "Service Thumbnail Image Width",
            "type" => "text",
            "holder" => "",
            "default" => "50",
            "desc" => "The preivew image width.",
        ),
        "service_thumb" => array(
            "title" => "Service Thumbnail Image",
            "type" => "text",
            "holder" => "",
            "default" => "",
            "desc" => "The preivew image.",
        ),
        "add_thumb" => array(
            "title" => "",
            "type" => "button",
            "save_to" => "service_thumb",
            "default" => "Upload",
            "desc" => "",
        ),
        // Font Icon
        "fi" => array(
            "title" => "Add Icon",
            "type" => "fi",
            "holder" => "",
            "default" => "",
            "desc" => "",
        ),
        "fi_size" => array(
            "need_fi" => "true",
            "title" => "Size",
            "type" => "hidden",
            "holder" => "",
            "default" => "28",
            "desc" => "Size.",
        ),
        "fi_padding" => array(
            "title" => "Padding",
            "type" => "hidden",
            "holder" => "",
            "default" => "25",
            "desc" => "Padding.",
        ),
        "fi_color" => array(
            "title" => "Color",
            "type" => "hidden",
            "holder" => "",
            "default" => "#fff",
            "desc" => "Color.",
        ),
        "fi_bg_color" => array(
            "title" => "Background Color",
            "type" => "hidden",
            "holder" => "",
            "default" => "#16d1ac",
            "desc" => "Background Color.",
        ),
        "fi_border_color" => array(
            "title" => "Border Color",
            "type" => "hidden",
            "holder" => "",
            "default" => "",
            "desc" => "Border Color.",
        ),
        "fi_rounded" => array(
            "title" => "Border Size",
            "type" => "hidden",
            "holder" => "",
            "default" => "0",
            "desc" => "Border Size.",
        ),
        "fi_rounded_size" => array(
            "title" => "Border Rounded Size",
            "type" => "hidden",
            "holder" => "",
            "default" => "50",
            "desc" => "Border Rounded Size.",
        ),
        "fi_icon" => array(
            "title" => "Icon",
            "type" => "hidden",
            "holder" => "",
            "default" => "fa-cloud",
            "desc" => "Icon.",
        ),
        // Circle Chart
        "cc" => array(
            "title" => "Add Chart",
            "type" => "cc",
            "holder" => "",
            "default" => "",
            "desc" => "",
        ),
        "cc_type" => array(
            "need_cc" => "true",
            "title" => "Type",
            "type" => "select",
            "options" => array('text' => 'Text', 'fi' => 'Font Icon'),
            "default" => "text",
            "desc" => "",
        ),
        "cc_line_width" => array(
            "title" => "Line Width",
            "type" => "hidden",
            "holder" => "",
            "default" => "8",
            "desc" => "",
        ),
        "cc_text" => array(
            "title" => "Text",
            "type" => "hidden",
            "holder" => "",
            "default" => "80%",
            "desc" => "",
        ),
        "cc_percent" => array(
            "title" => "Percent",
            "type" => "hidden",
            "holder" => "",
            "default" => "80",
            "desc" => "",
        ),
        "cc_size" => array(
            "title" => "Size",
            "type" => "hidden",
            "holder" => "",
            "default" => "100",
            "desc" => "",
        ),
        "cc_font_size" => array(
            "title" => "Font Size",
            "type" => "hidden",
            "holder" => "",
            "default" => "30",
            "desc" => "",
        ),
        "cc_font_color" => array(
            "title" => "Font Color",
            "type" => "hidden",
            "holder" => "",
            "default" => "#16d1ac",
            "desc" => "",
        ),
        "cc_color" => array(
            "title" => "Color",
            "type" => "hidden",
            "holder" => "",
            "default" => "#16d1ac",
            "desc" => "",
        ),
        "cc_track_color" => array(
            "title" => "Track Color",
            "type" => "hidden",
            "holder" => "",
            "default" => "#f9f9f9",
            "desc" => "",
        ),
        "cc_icon" => array(
            "title" => "Icon",
            "type" => "hidden",
            "holder" => "",
            "default" => "fa-star",
            "desc" => "",
        ),
        // -----------------------
        "service_title" => array(
            "title" => "",
            "type" => "text",
            "holder" => "Your Service Title",
            "default" => "Your Service Title",
            "desc" => "",
        ),
        "content" => array(
            "title" => "",
            "type" => "textArea",
            "holder" => "Content",
            "default" => "Content",
            "desc" => "",
        ),
        "more_text" => array(
            "title" => "",
            "type" => "text",
            "holder" => "Read More",
            "default" => "Read More",
            "desc" => "Insert Custom Read More text",
        ),
        "more_url" => array(
            "title" => "",
            "type" => "text",
            "holder" => "Only URL here",
            "default" => "",
            "desc" => "Read More URL.",
        ),
        "more_target" => array(
            "title" => "",
            "type" => "select",
            "options" => $waves_element_options['target'],
            "default" => "_blank",
            "desc" => "Blank is opened new windows. Self will current.",
        ),
    ),
);