<?php
/* ================================================================================== */
/*      Recent Posts Shortcode
/* ================================================================================== */

function waves_carousel_posts($atts, $content) {
    global $tw_isshortcode;
    $tw_isshortcode='true';
    $atts = shortcode_atts(array(
        'size'  => 'col-md-3',
        'class' => '',
        'title' => '',
        'category_ids'  => '',
        'post_count'    => '6',
        'image_height' => '',
        'order'     => 'date_desc',
        'scroll'     => 'arrow',
        'animation' => 'none',
        'animation_delay' => ''
    ), $atts);

//    if($atts['scroll'] == 'bullet') {
        $arrow = '<div class="carousel-bullet"></div>';
//    } else {    
        $arrow .= '<div class="carousel-arrow">';
        $arrow .= '<a class="carousel-prev" href="#"><i class="fa fa-angle-left"></i></a>';
        $arrow .= '<a class="carousel-next" href="#"><i class="fa fa-angle-right"></i></a>';
        $arrow .= '</div>';
//    }
    $output = waves_item($atts,'carousel-container');
    $output .= '<div class="waves-carousel-post list_carousel carousel-anim">';
    $output .= '<ul class="waves-carousel">';
    $query = Array(
        'post_type' => 'post',
        'posts_per_page' => $atts['post_count'],
    );
    $cats = empty($atts['category_ids']) ? false : explode(",", $atts['category_ids']);
    if ($cats) {
        $query['tax_query'] = Array(Array(
                'taxonomy' => 'category',
                'terms' => $cats,
                'field' => 'slug'
            )
        );
    }
    if ($atts['order']!='date_desc') {
        switch ($atts['order']) {
            case "date_asc":
                $query['orderby'] = 'date';
                $query['order'] = 'ASC';                    
                break;
            case "title_asc":
                $query['orderby'] = 'title';
                $query['order'] = 'ASC';                    
                break;
            case "title_desc":
                $query['orderby'] = 'title';
                $query['order'] = 'DESC';
                break;
            case "random":
                $query['orderby'] = 'rand';
                break;
        }
    }
    // START - LOOP
    query_posts($query);
    while (have_posts()){ the_post();            
        $output .= '<li>';
                if(has_post_thumbnail()){
                    ob_start();
                    $width = 300;
                    $height = $atts['image_height'];
                    echo '<div class="carousel-thumbnail overlay-container">';
                        echo waves_image($width, $height);
                        echo '<div class="image-overlay">';
                        echo '<div class="portfolio-overlay-icon"><a href="'.get_permalink().'" class="plus-icon"></a></div>';
                        echo '</div>';
                    echo '</div>';
                    $output .= ob_get_clean();
                }
                $output .= '<div class="carousel-content">';
                    $output .= '<h3 class="carousel-title"><a href="'.get_permalink().'">'.get_the_title().'</a></h3><span class="title-sep"></span>';
                    $output .= '<div class="carousel-meta clearfix"><span class="date">'.get_the_time('j F Y').'</span>';
                    $output .= '<span class="categories-links"> - '.get_the_category_list(', ').'</span>';
//                    if(comments_open()) {
//                        $output .= '<span class="comments-count"><i class="fa fa-comments"></i>'.waves_comment_count().'</span>';
//                    }
                    $output .= '</div>';
                    if (has_excerpt()) {
                        $output .= '<p>'.get_the_excerpt().'...</p>';
                    } else {
                        $output .= '<p>'.waves_excerpt(strip_shortcodes(get_the_content()), 10).'...</p>';
                    }
                $output .= '</div>';
        $output .= '</li>';
    }
    wp_reset_query();
    // END   - LOOP
    $output .= '</ul>';
    $output .= '<div class="clearfix"></div>';
    $output .= $arrow;
    $output .= '</div>';
    $output .= '</div>';
    $tw_isshortcode='false';
    return $output;
}
add_shortcode('tw_recent_posts', 'waves_carousel_posts');