<?php
/* ================================================================================== */
/*      Chart Graph Shortcode
/* ================================================================================== */

// Chart Graph Container
if (!function_exists('shortcode_tw_liteaccordion')) {

    function shortcode_tw_liteaccordion($atts, $content) {
        wp_enqueue_script('tw-accordionpro', THEME_DIR . '/assets/js/jquery.accordionpro.js', false, false, true);
        $atts = shortcode_atts(array(
            'size'  => 'col-md-12',
            'class' => '',
            'title' => '',
            'labels' => '',
            'item_theme' => 'dark',
            'item_height' => '300',
            'item_type' => 'mouseover',
            'animation_delay'=>'',
        ), $atts);
        $atts['item_height'] = str_replace(' ','',$atts['item_height']);
        $atts['animation_delay'] = empty($atts['animation_delay']) ? '0': str_replace(' ','',$atts['animation_delay']);
        $data  = ' data-animation-delay="'.$atts['animation_delay'].'" data-animation-offset="90%"' ;
        $data  .= ' data-item_type="'.$atts['item_type'].'" data-item_height="'.$atts['item_height'].'"' ;
        $output  = waves_item($atts);
            $output .= '<div id="' . $atts['item_theme'] . '" class="accordionPro horizontal scaleImages tw-animate ' . $atts['item_theme'] . '" '.$data.'>';
                $output .= '<ol>';
                    $output .= do_shortcode($content);
                $output .= '</ol>';
            $output .= '</div>';
        $output .= '</div>';
        $output .= '</div>';
        return $output;
    }

}
add_shortcode('tw_liteaccordion', 'shortcode_tw_liteaccordion');
// Chart Graph Item
if (!function_exists('shortcode_tw_liteaccordion_item')) {

    function shortcode_tw_liteaccordion_item($atts, $content) {
        $atts = shortcode_atts(array(
            'datas' => '',
            'image' => '',
                ), $atts);
        $output = '<li class="slide" data-slide-name="' . $atts['datas'] . '">';
            $output .= '<h2><span>' . $atts['datas'] . '</span></h2>';
            $output .= '<div><img src="' . $atts['image'] . '" /></div>';
        $output .= '</li>';
        return $output;
    }

}
add_shortcode('tw_liteaccordion_item', 'shortcode_tw_liteaccordion_item');