<?php
/* ================================================================================== */
/*      Partner Shortcode
/* ================================================================================== */

function waves_carousel_partner($atts, $content) {
    $atts = shortcode_atts( array(
        'size'  => 'col-md-3',
        'class' => '',
        'title' => '',
//        'scroll' => 'bullet',
        'animation' => 'none',
        'animation_delay' => 'bottom-in-view'
    ), $atts );

    
//    if($atts['scroll'] == 'bullet') {
        $arrow = '<div class="carousel-bullet"></div>';
//    } else {    
        $arrow .= '<div class="carousel-arrow">';
        $arrow .= '<a class="carousel-prev" href="#"><i class="fa fa-angle-left"></i></a>';
        $arrow .= '<a class="carousel-next" href="#"><i class="fa fa-angle-right"></i></a>';
        $arrow .= '</div>';
//    }

    $output  = waves_item($atts,"carousel-container");
        $output .= '<div class="waves-carousel-partner list_carousel">';
            $output .= '<ul class="waves-carousel">';
                $output .= do_shortcode($content);
            $output .= '</ul>';
            $output .= '<div class="clearfix"></div>';
            $output .= $arrow;
        $output .= '</div>';
    $output .= '</div>';
    return $output;
}
add_shortcode('tw_partner', 'waves_carousel_partner');




/* ================================================================================== */
/*      Partner item
/* ================================================================================== */

function waves_partner_item($atts, $content) {
    $atts = shortcode_atts( array(
        "title" => "",
        "link" => "",
        "thumb" => "",
    ), $atts );
    $output = '<li>';
        if ($atts['link'] != '') {$output .= '<a href="' . $atts['link'] . '" title="'.$atts['title'].'">';}
            $output .= '<img alt="'.$atts['title'].'" src="'.$atts['thumb'].'" data-toggle="tooltip" data-original-title="'.$atts['title'].'" />';
        if ($atts['link'] != '') {$output .= '</a>';}
    $output .= '</li>';
    return $output;
}
add_shortcode('tw_partner_item', 'waves_partner_item');