<?php
/* ================================================================================== */
/*      Process container
/* ================================================================================== */

function waves_process($atts, $content) {
    $output = waves_item($atts,'waves-process');
        $output .=  '<div class="process-container">';
            $output .= do_shortcode($content);
        $output .= '</div>';
    $output .= '</div>';
    return $output;
}
add_shortcode('tw_process', 'waves_process');


/* ================================================================================== */
/*      Process item
/* ================================================================================== */

function waves_process_item($atts, $content) {
    $atts = shortcode_atts( array(
        'title'  => '',
        'title_style' => 'light',
        'color'  => '#ffc600',
        'number' => '1',
        'animation' => 'none',
        'animation_delay' => ''
    ), $atts );
    $class=$animation='';
    if (isMobile() && !tw_option('mobile_animation')) {
        $atts['animation'] = 'none';
    }
    if($atts['animation']!=='none'){
        $class .= ' tw-animate-gen';
        $atts['animation_delay'] = empty($atts['animation_delay']) ? '0': str_replace(' ','',$atts['animation_delay']);
        $animation .= ' data-animation="'.$atts['animation'].'" data-animation-delay="'.$atts['animation_delay'].'" data-animation-offset="90%" style="opacity:0;"';
    }
    $output  = '<div class="process-group '.$class.'"'.$animation.'>';
        $output .= '<div class="process-number">';
            $output .=$atts['number'];
        $output .= '</div>';
        $output .= '<div class="process-title" style="background-color:'.$atts['color'].';color:'.($atts['title_style']==='light'?'#ffffff':'#000000').';">';
            $output .=$atts['title'];
        $output .= '</div>';
        $output .= '<div class="process-icon"><i class="fa fa-angle-right"></i></div>';
    $output .= '</div>';

    return $output;
}
add_shortcode('tw_process_item', 'waves_process_item');