<?php
$class = '';
if(!is_singular('post') || tw_option('blog_title')!="") {  
    if(is_singular('post') || is_home()) {
        if(tw_option('blog_title')!="") {
            $title = "<h1>".apply_filters('widget_title', tw_option('blog_title'))."</h1>";        
            $subtitle = tw_option('blog_subtitle')!="" ? ('<p>'.apply_filters('widget_title', tw_option("blog_subtitle")).'</p>') : '';
        }
    } else {
        $subtitle = "";
        if(is_page() || is_singular('portfolio')) {
            $title = "<h1>".get_featuredtext()."</h1>";
            if (get_metabox("subtitle") != "") {
                $subtitle = "<p>".apply_filters('widget_text', get_metabox("subtitle"))."</p>";
            }
            if(get_metabox("title_bg_image") != "") {
                $bgimage = get_metabox("title_bg_image");
            }
            if(get_metabox("title_prllx")) {
                $class = ' class="bg-parallax"';
            }
        } else {
            $title = "<h1>".get_featuredtext()."</h1>";
        }
    }
}

$breadcrumb = false;
$span = 'col-md-12';
if(get_metabox("breadcrumps")=="true") {
    $breadcrumb = true;
    $span = 'title-with-breadcrumps';
} else if(get_metabox("breadcrumps")!="false") {
    if(tw_option("breadcrumps")) {
        $breadcrumb = true;
        $span = 'title-with-breadcrumps';
    }
}
$ebreadcrumb = "";
if($breadcrumb){ ob_start(); echo '<div class="title-with-breadcrumps">'; breadcrumbs(); echo '</div>'; $ebreadcrumb = ob_get_clean();}


if(woocommerce_enabled() && get_post_type() == 'product'){
    $shop_page_id = woocommerce_get_page_id( 'shop' );
    $shop_metabox = get_post_meta($shop_page_id, 'themewaves_' . strtolower(THEMENAME) . '_options', true);
    if (!empty($shop_metabox["subtitle"])) {
        $subtitle = "<h2>".apply_filters('widget_text', $shop_metabox["subtitle"])."</h2>";
    }
    if (!empty($shop_metabox["title_bg_image"])) {
        $bgimage = $shop_metabox["title_bg_image"];
    }
    ob_start();
    echo "<h1>";
    woocommerce_page_title();
    echo "</h1>";
    $title = ob_get_clean();
    
    
    if($shop_metabox["breadcrumps"]=="true") {
        $breadcrumb = true;
    } else if($shop_metabox["breadcrumps"]!="false") {
        if(tw_option("breadcrumps")) {
            $breadcrumb = true;
        }
    } 
    
    if($breadcrumb) {
        ob_start();
        echo '<div class="title-with-breadcrumps">'; woocommerce_breadcrumb(); echo '</div>';
        $ebreadcrumb = ob_get_clean();
    }
}


$background = isset($bgimage) ? $bgimage : tw_option('title_bg_image');
$style1 = !empty($background) ? (' style="background-image: url('.$background.')"') : '';

if(isset($title)) { ?>
    <!-- Start Feature -->
    <section id="page-title"<?php echo $class . $style1;?>>
        <!-- Start Container -->
        <div class="container">
            <div class="row">
                <?php if($ebreadcrumb){echo '<div class="col-md-12">';} ?>
                    <div class="<?php echo $span;?>">
                        <?php echo $title.$subtitle; ?>
                    </div>
                    <?php echo $ebreadcrumb; ?>
                <?php if($ebreadcrumb){echo '</div>';} ?>
            </div>
                
        </div>
        <!-- End Container -->
    </section>
    <!-- End Feature -->
<?php } ?>