<?php
/* ================================================================================== */
/*      Image Slider Shortcode
/* ================================================================================== */
//  Image Slider Container
if (!function_exists('shortcode_tw_image_slider')) {
    function shortcode_tw_image_slider($atts, $content) {
        $atts = shortcode_atts( array(
            'size'  => 'col-md-3',
            'class' => '',
            'title' => '',
            'gallery_list' => '',
            'type' => 'slide',
            'height' => '',
            'padding' => '0',
            'animation' => 'none',
            'animation_delay' => 'bottom-in-view'
        ), $atts );
        if($atts['type'] == 'slide') {
            $output  = waves_item($atts,'image-slide-container clearfix');
                $output .= '<div class="fixing">';
                $output .= '<div class="image-slide">';
                    $images = empty($atts['gallery_list']) ? false : explode(",", $atts['gallery_list']);
                    if($images){
                        foreach ($images as $id) {
                            if(!empty($id)){
                                $output .= '<div class="slide-item">';
                                    $output .= '<img src="' . wp_get_attachment_url($id) . '" alt="' . get_the_title() . '" style="width:100%;">';
                                $output .= '</div>';
                            }
                        }    
                    }
                $output .= '</div>';
                $output .= '<div class="carousel-arrow">';
                    $output .= '<a class="carousel-prev" href="#"><i class="fa fa-angle-left"></i></a>';
                    $output .= '<a class="carousel-next" href="#"><i class="fa fa-angle-right"></i></a>';
                $output .= '</div>';
                $output .= '<div class="image-slide-bullet"></div>';
            $output .= '</div>';
            $output .= '</div>';
            return $output;
        } else {
            add_action('wp_footer', 'waves_portfolio_script');
            $output  = waves_item($atts,'waves-gallery-container clearfix');
            $margin = $padding = '';
            if(!empty($atts['padding'])) {
                $margin = ' style="margin:-'.$atts['padding'].'px"';
                $padding = ' style="margin:'.$atts['padding'].'px"';
            }
                $output .= '<div class="waves-gallery '.$atts['type'].'"'.$margin.'>';
                    $images = empty($atts['gallery_list']) ? false : explode(",", $atts['gallery_list']);
                    if($images){
                        foreach ($images as $id) {
                            if(!empty($id)){
                                $output .= '<div class="gallery-item">';
                                    $output .= '<a rel="prettyPhoto['.$atts['gallery_list'].']" href="'.wp_get_attachment_url($id).'"'.$padding.'>';
                                        $output .= '<img src="' . wp_get_attachment_url($id) . '" alt="' . get_the_title() . '">';
                                        $output .= '<div class="image-overlay"><span class="plus-icon"></span></div>';
                                    $output .= '</a>';
                                $output .= '</div>';
                            }
                        }    
                    }
                $output .= '</div>';
            $output .= '</div>';
            return $output;
        }
    }
}
add_shortcode('tw_image_slider', 'shortcode_tw_image_slider');