<?php

add_action('admin_init', 'tw_postoptions_init');
function tw_postoptions_init(){

    global $tw_post_settings, $tw_page_settings, $tw_comingsoon_settings, $tw_onepage_settings;
    $selectsidebar = array();
    $selectsidebar["Default sidebar"] = "Default sidebar";
    $sidebars = get_option('sbg_sidebars');
    if (!empty($sidebars)) {
        foreach ($sidebars as $sidebar) {
            $selectsidebar[$sidebar] = $sidebar;
        }
    }


//    $slider_cat 		= array(''=> 'Select category');  
//    $slider_categories_obj 	= get_terms('slider_cat', 'hide_empty=0');
//    foreach ($slider_categories_obj as $of_cat) {
//        $slider_cat[$of_cat->slug] = $of_cat->name;}


    $header_type = array(
        'subtitle'=>'Title and Subtitle',
        'slider'=>'Slider',
        'image'=>'Featured Image',
        'map'=>'Google Map',
        'none'=>'None');
    $years = array('2013'=>'2013','2014'=>'2014','2015'=>'2015','2016'=>'2016','2017'=>'2017','2018'=>'2018');
    $months = array('01'=>__('January','themewaves'),'02'=>__('February','themewaves'),'03'=>__('March','themewaves'),
        '04'=>__('April','themewaves'),'05'=>__('May','themewaves'),'06'=>__('June','themewaves'),
        '07'=>__('July','themewaves'),'08'=>__('August','themewaves'),'09'=>__('Septempber','themewaves'),
        '10'=>__('October','themewaves'),'11'=>__('November','themewaves'),'12'=>__('December','themewaves'));
    $days = array(
        '01' => '1','02' => '2','03' => '3','04' => '4','05' => '5',
        '06' => '6','07' => '7','08' => '8','09' => '9','10' => '10',
        '11' => '11','12' => '12','13' => '13','14' => '14','15' => '15',
        '16' => '16','17' => '17','18' => '18','19' => '19','20' => '20',
        '21' => '21','22' => '22','23' => '23','24' => '24','25' => '25',
        '26' => '26','27' => '27','28' => '28','29' => '29','30' => '30','31' => '31',
    );
    $hours = array(
        '00' => '0','01' => '1','02' => '2','03' => '3','04' => '4',
        '05' => '5','06' => '6','07' => '7','08' => '8','09' => '9',
        '10' => '10','11' => '11','12' => '12','13' => '13','14' => '14',
        '15' => '15','16' => '16','17' => '17','18' => '18','19' => '19',
        '20' => '20','21' => '21','22' => '22','23' => '23'
    );
    /* * *********************** */
    /* Post options */
    /* * *********************** */
    $tw_post_settings = Array(
        Array(        
            'name' => __('Post Author Show?', 'themewaves'),
            'desc' => __('Default setting will take from theme options.', 'themewaves'),
            'id' => 'post_authorr',
            'std' => 'default',
            'type' => 'selectbox'),
        Array(        
            'name' => __('Featured Media Show?', 'themewaves'),
            'desc' => __('Default setting will take from theme options.', 'themewaves'),
            'id' => 'feature_show',
            'std' => 'default',
            'type' => 'selectbox'),
        Array(        
            'name' => __('Post share Show?', 'themewaves'),
            'desc' => __('Default setting will take from theme options.', 'themewaves'),
            'id' => 'social_share',
            'std' => 'default',
            'type' => 'selectbox'),
        Array(        
            'name' => __('Featured Image Height?', 'themewaves'),
            'desc' => __('Image height (px).', 'themewaves'),
            'id' => 'image_height',
            'std' => '350',
            'type' => 'text'),
        Array(        
            'name' => __('Breadcrumbs on this post?', 'themewaves'),
            'desc' => __('Default setting will take from theme options.', 'themewaves'),
            'id' => 'breadcrumps',
            'std' => 'default',
            'type' => 'selectbox'),
        Array(        
            'name' => __('Choose Post Layout?', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'layout',
            'std' => 'right',
            'type' => 'layout'),
        Array(        
            'name' => __('Choose Sidebar ?', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'custom_sidebar',
            'options' => $selectsidebar,
            'std' => 'Default sidebar',
            'type' => 'select')
    );


    /* * *********************** */
    /* Page options */
    /* * *********************** */
    $tw_page_settings = Array(
        Array(
            'name' => __('Header type ?', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'header_type',
            'std' => 'subtitle',
            'options' => $header_type,
            'type' => 'select'),
        Array(
            'name' => __('Select Slideshow', 'themewaves'),
            'desc' => __('All of your created sliders will be included here.', 'themewaves'),
            'id' => 'slider_id',
            'type' => 'slideshow'),
        Array(
            'name' => __('Sub Title', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'subtitle',
            'type' => 'text'),
        Array(
            'name' => __('Background image of page title', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'title_bg_image',
            'type' => 'file'),
        Array(
            'name' => __('Parallax', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'title_prllx',
            'type' => 'checkbox'),
        Array(
            'name' => __('Google Map', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'googlemap',
            'type' => 'textarea'),
        Array(
            'name' => __('Top bar', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'top_bar',
            'std' => 'default',
            'type' => 'selectbox'),
        Array(        
            'name' => __('Breadcrumbs on this page?', 'themewaves'),
            'desc' => __('Default setting will take from theme options.', 'themewaves'),
            'id' => 'breadcrumps',
            'std' => 'default',
            'type' => 'selectbox'),
        Array(
            'name' => __('Theme layout', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'theme_layout',
            'std' => 'default',
            'options' => array('default' => 'default', 'fullwidth' => 'fullwidth','boxed' => 'boxed'),
            'type' => 'select'),
        Array(
            'name' => __('Background color', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'bg_color',
            'type' => 'color'),
        Array(
            'name' => __('Background image', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'bg_image',
            'type' => 'file'),
        Array(
            'name' => __('Background Image Repeat', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'bg_image_repeat',
            'std' => 'repeat',
            'options' => array('stretch' => 'Strech Image', 'repeat' => 'Repeat','no-repeat' => 'No Repeat','repeat-y' => 'Repeat-Y','repeat-x' => 'Repeat-X'),
            'type' => 'select'),
        Array(
            'name' => __('Margin top and bottom', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'margin_top_bottom',
            'std' => '60',
            'type' => 'text'),
    );
    $tw_onepage_settings = Array(
        Array(
            'name' => __('Menu', 'themewaves'),
            'desc' => __('Choose One Page Menu', 'themewaves'),
            'id'   => 'onepage_menu',
            'type' => 'menu'
        ),
//        Array(
//            'name' => __('Header type', 'themewaves'),
//            'desc' => __('', 'themewaves'),
//            'id' => 'onepage_header',
//            'options' => array('image' => 'Featured image', 'slideshow' => 'Slideshow', 'video' => 'Video'),
//            'type' => 'select'),
//        Array(
//            'name' => __('Select Slideshow', 'themewaves'),
//            'desc' => __('All of your created sliders will be included here.', 'themewaves'),
//            'id' => 'onepage_slider',
//            'type' => 'slideshow'),
//        Array( 
//            "name" => __('Upload images', 'themewaves'),
//            "desc" => __('Select the images that should be upload to this gallery', 'themewaves'),
//            "id" => "gallery_image_ids",
//            "type" => 'gallery'),
//        Array( 
//            "name" => __('M4V File URL', 'themewaves' ),
//            "desc" => __('The URL to the .m4v video file', 'themewaves' ),
//            "id" => "onepage_video_m4v",
//            "type" => "text",
//            ),
//        Array( 
//            "name" => __('Select One Page Category', 'themewaves' ),
//            "desc" => __('Your selected category posts will included', 'themewaves' ),
//            "id" => "onepage_slider_category",
//            "type" => "select",
//            "options" => $slider_cat,
//            'std' => ''
//            ),
    );  

    $tw_comingsoon_settings = Array(
        Array(
            'name' => __('Years', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id'   => 'coming_years',
            'std'  => '2014',
            'options' => $years,
            'type' => 'select'
        ),
        Array(
            'name' => __('Months', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id'   => 'coming_months',
            'std'  => '01',
            'options' => $months,
            'type' => 'select'
        ),
        Array(
            'name' => __('Days', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id'   => 'coming_days',
            'std'  => '01',
            'options' => $days,
            'type' => 'select'
        ),
        Array(
            'name' => __('Hours', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id'   => 'coming_hours',
            'std'  => '00',
            'options' => $hours,
            'type' => 'select'
        ),
        Array(
            'name' => __('Your Feedburner Title', 'themewaves'),
            'desc' => __('If empty, Subscribe form none', 'themewaves'),
            'id'   => 'coming_link',
            'std'  => '',
            'type' => 'text'
        ),
    );
    if(!tw_option("pagebuilder")){
        $tw_page_settings[] = Array(
            'name' => __('Page Layout ?', 'themewaves'),
            'desc' => __('Choose the Layout', 'themewaves'),
            'id'   => 'layout',
            'std'  => 'full',
            'type' => 'layout'
        );
        $tw_page_settings[] = Array(
            'name' => __('Sidebar ?', 'themewaves'),
            'desc' => __('Choose your Sidebar', 'themewaves'),
            'id'   => 'custom_sidebar',
            'options' => $selectsidebar,
            'std'  => 'Default sidebar',
            'type' => 'select'
        );
    }
    
    
    
    global $tw_portfolio, $tw_portfolio_gallery, $tw_portfolio_video;

    /* * *********************** */
    /* Portfolio options */
    /* * *********************** */

    $tw_portfolio = Array(
        Array(
            'name' => __('Single layout', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id'   => 'portfolio_single_layout',
            'std'  => 'default',
            'options' => array('default'=>'Default','full'=>'Layout Full','half'=>'Layout Half'),
            'type' => 'select'),
        Array(
            'name' => __('Sub Title', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'subtitle',
            'type' => 'text'),
        Array(
            'name' => __('Background image of page title', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'title_bg_image',
            'type' => 'file'),
        Array(
            'name' => __('Parallax', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'title_prllx',
            'type' => 'checkbox'),
        Array(
            'name' => __('Preview url', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'preview_url',
            'type' => 'text'),
    );
    $tw_portfolio_gallery = array(
        array( 
            "name" => __('Upload images', 'themewaves'),
            "desc" => __('Select the images that should be upload to this gallery', 'themewaves'),
            "id" => "gallery_image_ids",
            "type" => 'gallery'),
        array(
            'name' => __('Gallery height', 'themewaves'),
            'desc' => __('', 'themewaves'),
            'id' => 'gallery_height',
            'type' => 'text'),
    );
    $tw_portfolio_video = array(
            array( "name" => __('Embeded Code','themewaves'),
                            "desc" => __('If you\'re not using self hosted video then you can include embeded code here.','themewaves'),
                            "id" => "format_video_embed",
                            "type" => "textarea",
                            'std' => ''
            ),
    );
    
    
    global $tw_slider_settings;

    /* * *********************** */
    /* Slider options */
    /* * *********************** */
    
    $tw_slider_settings = array(
            array( "name" => __('Slider item time','themewaves'),
                            "desc" => __('millsecond (3500, 5000 etc.)','themewaves'),
                            "id" => "slider_item_time",
                            "type" => "text",
                            'std' => ''
            ),
    );
    
    
    
    add_meta_box('post_meta_settings',__( 'Post settings', 'themewaves' ),'metabox_render','post','normal','high',$tw_post_settings);
    
    add_meta_box('page_meta_settings',__( 'Page settings', 'themewaves' ),'metabox_render','page','normal','high',$tw_page_settings);
    add_meta_box('onepage_meta_settings',__( 'Onepage settings', 'themewaves' ),'metabox_render','page','normal','high',$tw_onepage_settings);
    add_meta_box('comingsoon_meta_settings',__( 'ComingSoon page settings', 'themewaves' ),'metabox_render','page','normal','high',$tw_comingsoon_settings);
    
    add_meta_box('portfolio_meta_settings',__( 'Portfolio settings', 'themewaves'),'metabox_render','portfolio','normal','high',$tw_portfolio);
    add_meta_box('portfolio_gallery_settings',__( 'Portfolio gallery settings', 'themewaves'),'metabox_render','portfolio','normal','high',$tw_portfolio_gallery);
    add_meta_box('portfolio_video_settings',__( 'Portfolio video settings', 'themewaves'),'metabox_render','portfolio','normal','high',$tw_portfolio_video);
    
//    add_meta_box('slider_meta_settings',__( 'Slider item settings', 'themewaves'),'metabox_render','slider','normal','high',$tw_slider_settings);
}