<?php get_header(); ?>
<?php
the_post();
global $post;
$layout = get_metabox('portfolio_single_layout');
if (empty($layout) || $layout == 'default') {
    $layout = tw_option('port_single_layout') == 'full' ? 'full' : 'half';
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('single-portfolio'); ?>><?php
    if(post_password_required()){
        the_content();
    }else{
        if ($layout == 'full') {
            $width = 1140;
            echo '<div class="row"><div class="col-md-12">';
        } else {
            $width = 850;
            echo '<div class="row" style="position:relative;">';
            echo '<div class="col-md-9">';
        } ?>


                <div class="media-container">
                    <?php
                    $ids = get_metabox('gallery_image_ids');
                    $video_embed = get_metabox('format_video_embed');
                    if ($ids != "false" && $ids != "") {

                        $height = get_metabox('gallery_height');
                        echo '<div class="image-slide-container clearfix">';
                        echo '<div class="image-slide">';
                        foreach (explode(',', $ids) as $id) {
                            if (!empty($id)) {
                                $imgurl0 = aq_resize(wp_get_attachment_url($id), $width, $height, true);
                                $imgurl = !empty($imgurl0) ? $imgurl0 : wp_get_attachment_url($id);
                                $imagelink = is_single() ? (wp_get_attachment_url($id) . '" rel="prettyPhoto['.$post->ID.']') : get_permalink();
                                echo '<div class="image-item">';
                                echo '<a href="' . $imagelink . '"><img src="' . $imgurl . '" alt="' . get_the_title() . '"></a>';
                                echo '</div>';
                            }
                        }
                        echo '</div>';
                        echo '<div class="image-slide-bullet"></div>';
                        echo '</div>';
                    } elseif (!empty($video_embed)) {
                        echo '<div class="entry-video">';
                        echo apply_filters("the_content", htmlspecialchars_decode($video_embed));
                        echo '</div>';
                    } else {
                        the_post_thumbnail();
                    }
                    ?>
                </div>
            <?php
            $content = '';      
            if ($layout == 'full') {
                echo '</div></div>';
                echo do_shortcode('[tw_item_title title="' . tw_option("translate_portfolio_desc") . '"]');
                echo '<div class="row portfolio-single-full">';
                echo '<div class="col-md-9">';
                the_content();
            } else {
                $content .= do_shortcode('[tw_item_title title="' . tw_option("translate_portfolio_desc") . '"]');
                $content .= apply_filters("the_content", get_the_content());
            }
            ?>

            </div>
            <div class="col-md-3">
                <?php
                echo $content;
                echo waves_like();
                $tags = get_the_term_list( $post->ID, 'portfolio_cat', '<p><i class="fa fa-check-circle-o"></i>', '</p><p><i class="fa fa-check-circle-o"></i>', '</p>' );
                if ($tags) {
                    echo '<div class="portfolio-cats">';
                    echo $tags;
                    echo '</div>';
                }
                if (get_metabox("preview_url") != "") {
                    $live_preview = tw_option('translate_livepreview') ? tw_option('translate_livepreview') : __('LIVE PREVIEW', 'themewaves');
                    ?>
                    <a href="<?php echo esc_url(get_metabox("preview_url")); ?>" target="_blank" class="live-preview"><?php echo $live_preview; ?></a>
                <?php } ?>
            </div>
        </div><?php
    } ?>
</article> 

<?php
if (!tw_option('port_related')) {
    related_portfolios();
}
?>

<?php get_footer(); ?>